Bug 1756946 - [zKVM] Re-enable KVM_CAP_S390_AIS for new machine types
Summary: [zKVM] Re-enable KVM_CAP_S390_AIS for new machine types
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: qemu-kvm
Version: 8.3
Hardware: s390x
OS: Linux
low
low
Target Milestone: beta
: 8.3
Assignee: Thomas Huth
QA Contact: smitterl
URL:
Whiteboard:
Depends On:
Blocks: 1776265
TreeView+ depends on / blocked
 
Reported: 2019-09-30 09:22 UTC by Thomas Huth
Modified: 2020-11-04 02:54 UTC (History)
14 users (show)

Fixed In Version: qemu-kvm-4.2.0-28.module+el8.3.0+7105+0cc49779
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:53:03 UTC
Type: Feature Request
Target Upstream Version: qemu-5.0


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 181710 0 None None None 2019-09-30 13:08:09 UTC
Red Hat Product Errata RHSA-2020:4676 0 None None None 2020-11-04 02:54:00 UTC

Description Thomas Huth 2019-09-30 09:22:12 UTC
Description of problem:
The "adapter interrupt suppression" capability KVM_CAP_S390_AIS has been disabled since there were some issues with migration:

 https://git.qemu.org/?p=qemu.git;a=commitdiff;h=3f2d07b3b01ea61126b

The commit message of that commit said that the migration problems would be fixed and AIS would be enabled again, but so far this has not happen yet. Since this is likely a useful feature, we should try to get this enabled again (first in upstream, then in downstream).

How reproducible:
100%

Steps to Reproduce:
/usr/libexec/qemu-kvm -nographic -accel kvm -cpu host,ais=true

Actual results:
qemu-kvm: Some features requested in the CPU model are not available in the configuration: ais  

Expected results:
It should be possible to use "-accel kvm -cpu host,ais=true" without problems

Comment 2 Thomas Huth 2020-01-16 13:34:09 UTC
Suggested a patch upstream here:
https://lists.gnu.org/archive/html/qemu-devel/2020-01/msg03309.html

Comment 3 Thomas Huth 2020-01-29 08:24:07 UTC
Patch has been merged here:
https://git.qemu.org/?p=qemu.git;a=commitdiff;h=a5c8617af6919515b84256978452edf07401c45e

We should get it with the next rebase, so I'm moving this BZ to POST.

Comment 4 Ademar Reis 2020-02-05 23:06:48 UTC
QEMU has been recently split into sub-components and as a one-time operation to avoid breakage of tools, we are setting the QEMU sub-component of this BZ to "General". Please review and change the sub-component if necessary the next time you review this BZ. Thanks

Comment 14 smitterl 2020-06-30 08:37:30 UTC
Reproduced with:
qemu-kvm-4.2.0-19.module+el8.3.0+6473+93e27135.s390x

1. /usr/libexec/qemu-kvm -accel kvm -cpu host,ais=true
>> qemu-kvm: Some features requested in the CPU model are not available in the configuration: ais

Verified with:
qemu-kvm-4.2.0-29.module+el8.3.0+7212+401047e6.s390x
1. /usr/libexec/qemu-kvm -accel kvm -cpu host,ais=true
VNC server running on ::1:5900

Comment 17 errata-xmlrpc 2020-11-04 02:53:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: virt:rhel and virt-devel:rhel security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4676


Note You need to log in before you can comment on or make changes to this bug.